package com.ssj.service.sys.finance.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface IFinanceService {
    List<Map<String, Object>> findLittleShuAllList(Map<String, Object> params);

    Page<Map<String,Object>> littleMonthDetailList(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> littleDetailList(Map<String, Object> params, Pageable initPage);
    
    Page<Map<String, Object>> findDeviceBalanceAndLossList(Map<String, Object> params, Pageable pageable);
    
    Page<Map<String, Object>> findDeviceBalanceList(Map<String, Object> params, Pageable pageable);
    
    Page<Map<String, Object>> balanceConsumeDetailList(Map<String, Object> params, Pageable pageable);
    
    
    
}
